import { Factory, faker } from 'ember-cli-mirage';

export default Factory.extend({
   name: faker.list.cycle('Château Beychevelle',
    'Ribera del Duero',
    'Clos Fourtet St.-Emilion',
    'Romanée Conti',
    'Chambolle Musigny Guillon',
    'Tenet Syrah Columbia Valley',
    'Oddero Barolo',
    'Gigondas Lavau',
    'Duorum Douro',
    'Philippe Alliet Chinon',
    'Orin Swift Machete',
    'Château Lagrezette',
    'Château Puech Haut',
    'Château Haut Bellevue'),
   createdAt() { return new Date(); },
   yrow() { return faker.random.number({min:1, max:3}); },
   xcolumn() { return faker.random.number({min:3, max:20}); },
   flipped() { return faker.random.boolean; }
});
